Package io.papermc.paper.text

# Class PaperComponents

java.lang.Object
io.papermc.paper.text.PaperComponents

public final class PaperComponents extends Object
Paper API-specific methods for working with `Component`s and related.

## Method Summary

Modifier and Type
Method
Description
`static @NotNull GsonComponentSerializer`
`colorDownsamplingGsonSerializer()`
Deprecated, for removal: This API element is subject to removal in a future version.
use `GsonComponentSerializer.colorDownsamplingGson()`
`static @NotNull ComponentFlattener`
`flattener()`
Return a component flattener that can use game data to resolve extra information about components.
`static @NotNull GsonComponentSerializer`
`gsonSerializer()`
Deprecated, for removal: This API element is subject to removal in a future version.
use `GsonComponentSerializer.gson()`
`static @NotNull LegacyComponentSerializer`
`legacySectionSerializer()`
Deprecated, for removal: This API element is subject to removal in a future version.
use `LegacyComponentSerializer.legacySection()`
`static @NotNull PlainComponentSerializer`
`plainSerializer()`
Deprecated, for removal: This API element is subject to removal in a future version.
will be removed in adventure 5.0.0, use `PlainTextComponentSerializer.plainText()`
`static @NotNull PlainTextComponentSerializer`
`plainTextSerializer()`
Deprecated, for removal: This API element is subject to removal in a future version.
use `PlainTextComponentSerializer.plainText()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Method Details

### flattener

@NotNull public static @NotNull ComponentFlattener flattener()
Return a component flattener that can use game data to resolve extra information about components.

Returns:
  a component flattener

### plainSerializer

@Deprecated(forRemoval=true) @NotNull public static @NotNull PlainComponentSerializer plainSerializer()
Deprecated, for removal: This API element is subject to removal in a future version.
will be removed in adventure 5.0.0, use `PlainTextComponentSerializer.plainText()`
Get a serializer for `Component`s that will convert components to a plain-text string.

Implementations may provide a serializer capable of processing any information that requires access to implementation details.

Returns:
  a serializer to plain text

### plainTextSerializer

@Deprecated(forRemoval=true) @NotNull public static @NotNull PlainTextComponentSerializer plainTextSerializer()
Deprecated, for removal: This API element is subject to removal in a future version.
use `PlainTextComponentSerializer.plainText()`
Get a serializer for `Component`s that will convert components to a plain-text string.

Implementations may provide a serializer capable of processing any information that requires access to implementation details.

Returns:
  a serializer to plain text

### gsonSerializer

@Deprecated(forRemoval=true) @NotNull public static @NotNull GsonComponentSerializer gsonSerializer()
Deprecated, for removal: This API element is subject to removal in a future version.
use `GsonComponentSerializer.gson()`
Get a serializer for `Component`s that will convert to and from the standard JSON serialization format using Gson.

Implementations may provide a serializer capable of processing any information that requires implementation details, such as legacy (pre-1.16) hover events.

Returns:
  a json component serializer

### colorDownsamplingGsonSerializer

@Deprecated(forRemoval=true) @NotNull public static @NotNull GsonComponentSerializer colorDownsamplingGsonSerializer()
Deprecated, for removal: This API element is subject to removal in a future version.
use `GsonComponentSerializer.colorDownsamplingGson()`
Get a serializer for `Component`s that will convert to and from the standard JSON serialization format using Gson, downsampling any RGB colors to their nearest `NamedTextColor` counterpart.

Implementations may provide a serializer capable of processing any information that requires implementation details, such as legacy (pre-1.16) hover events.

Returns:
  a json component serializer

### legacySectionSerializer

@Deprecated(forRemoval=true) @NotNull public static @NotNull LegacyComponentSerializer legacySectionSerializer()
Deprecated, for removal: This API element is subject to removal in a future version.
use `LegacyComponentSerializer.legacySection()`
Get a serializer for `Component`s that will convert to and from the legacy component format used by Bukkit. This serializer uses the `LegacyComponentSerializer.Builder.useUnusualXRepeatedCharacterHexFormat()` option to match upstream behavior.

This legacy serializer uses the standard section symbol to mark formatting characters.

Implementations may provide a serializer capable of processing any information that requires access to implementation details.

Returns:
  a section serializer